classification
Title: Make subprocess.Popen support file-like objects (win)
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: astrand Nosy List: BreamoreBoy, astrand, ianbicking, nidoizo
Priority: normal Keywords: patch

Created on 2005-04-03 20:46 by nidoizo, last changed 2016-09-25 13:19 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
patch.txt nidoizo, 2005-04-03 20:46 Patch for subversion.py
Messages (3)
msg48143 - (view) Author: Nicolas Fleury (nidoizo) Date: 2005-04-03 20:46
This patch make subprocess.Popen support file-like
objects without fileno for stdout and stderr on Windows
(intend to do Unix once patch accepted).  It makes
subprocess.Popen able to redirect stdout and stderr to
objects like StringIO or other objects with file
objects interface.
msg48144 - (view) Author: Ian Bicking (ianbicking) * Date: 2005-08-15 20:52
Logged In: YES 
user_id=210337

Bug/feature request 1260171 addresses the same basic issue,
but with the idea of a method like Popen.communicate() that
writes and reads directly to/from file-like objects, instead
of reading and returning strings.
http://sourceforge.net/tracker/index.php?func=detail&aid=1260171&group_id=5470&atid=105470

But having submitted that other request, I have no real
opinion of one technique over the other, except that one of
them would be really nice to have.
msg222925 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-13 13:52
I believe this should be closed as the patch refers to various win32xxx imports that no longer exists in subprocess.py.
History
Date User Action Args
2016-09-25 13:19:04christian.heimessetstatus: open -> closed
dependencies: - subprocess: more general (non-buffering) communication
resolution: out of date
stage: test needed -> resolved
2014-07-13 13:52:08BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222925
2010-08-21 12:51:58BreamoreBoysetversions: + Python 3.2, - Python 2.7
2009-02-15 22:15:42ajaksu2setdependencies: + subprocess: more general (non-buffering) communication
type: enhancement
stage: test needed
versions: + Python 2.7, - Python 2.4
2005-04-03 20:46:30nidoizocreate